cURL
curl --request GET \
--url https://api.puretalk.ai/api/ai-assistants/{assistant_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.puretalk.ai/api/ai-assistants/{assistant_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.puretalk.ai/api/ai-assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "AI Assistant created successfully",
"err": false,
"results": {
"user": {
"name": "<string>",
"dp": "<string>",
"email": "[email protected]"
},
"voice": {
"voice_id": "<string>",
"name": "<string>",
"avatar": "<string>",
"gender": "<string>",
"demo_audio_url": "<string>",
"is_cloned": true,
"language": "<string>",
"description": "<string>"
},
"llm_states": [
"<unknown>"
],
"phone_number": "<string>",
"variables": [
"<unknown>"
],
"knowledge_base": "<string>",
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt": "<string>",
"model": "<string>",
"begin_message": "<string>",
"assistant_type": "<string>",
"avatar": "<string>",
"custom_knowledge_base": "<string>",
"timezone": "<string>",
"voice_stability": 0.5,
"voice_clarity_similarity": 0.5,
"voice_stream_latency_optimization": 2,
"voice_boost": true,
"voice_speed": 123,
"voice_emotion": [
"<unknown>"
],
"call_recording_enabled": true,
"reminder_message_frequency": 123,
"max_reminder_messages": 123,
"post_analysis": "<string>",
"chatbot_logo": "<string>",
"chatbot_accent_color": "<string>",
"chatbot_faq": "<string>",
"chatbot_whitelisted_domains": [
"<string>"
],
"chatbot_begin_message": "<string>",
"tools": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"behavior": 123
}
}{
"err": true,
"msg": "<string>"
}AI Assistants
Get Assistant
Returns a single AI Assistant based on the ID supplied
GET
/
ai-assistants
/
{assistant_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of AI Assistant to return
Was this page helpful?
⌘I